[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# LParamExtractLoHiWord

Converts an Integer parameter value into low-order and high-order Word values.

## Declaration

Source position: winapih.inc line 339

`procedure LParamExtractLoHiWord(`
`const aParam: LPARAM;`
`out LoWord: Word;`
`out HiWord: Word`
`);`

## Arguments

`aParam` |  | Pointer to the Integer value separated into low-order and high-order Word (16-bit) values.
`LoWord` |  | Returns the Word value for the low-order Word in AParam.
`HiWord` |  | Returns the Word value for the high-order Word in AParam.

## Description

LParamExtractLoHiWord is a routine used to separate the value in AParam into low- and high-order Word values in LoWord and HiWord. It is the reverse of MakeLParam function. LParamExtractLoHiWord calls the LParamLoWord and LParamHiWord functions to get the values for the output arguments.

## Version info

Added in LCL version 4.0.